Close a behavior check
With what was found (400 without). 409 once closed. Needs write on Animals.
POST
https://{organization}.rescueconsole.com
/
api
/
animals
/
behavior-checks
/
{id}
/
close
Close a behavior check
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/behavior-checks/{id}/close \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"finding": "Mild guarding of high-value chews. Feed apart."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({finding: 'Mild guarding of high-value chews. Feed apart.'})
};
fetch('https://{organization}.rescueconsole.com/api/animals/behavior-checks/{id}/close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/behavior-checks/{id}/close"
payload = { "finding": "Mild guarding of high-value chews. Feed apart." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"check": {
"id": "<string>",
"animal_id": "<string>",
"reason": "<string>",
"asked_at": "2023-11-07T05:31:56Z",
"open": true,
"note": "<string>",
"asked_via": "staff",
"asked_by_name": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"closed_by_name": "<string>",
"finding": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Close a behavior check
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/behavior-checks/{id}/close \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"finding": "Mild guarding of high-value chews. Feed apart."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({finding: 'Mild guarding of high-value chews. Feed apart.'})
};
fetch('https://{organization}.rescueconsole.com/api/animals/behavior-checks/{id}/close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/behavior-checks/{id}/close"
payload = { "finding": "Mild guarding of high-value chews. Feed apart." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"check": {
"id": "<string>",
"animal_id": "<string>",
"reason": "<string>",
"asked_at": "2023-11-07T05:31:56Z",
"open": true,
"note": "<string>",
"asked_via": "staff",
"asked_by_name": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"closed_by_name": "<string>",
"finding": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
